---
title: Start Data Export Job
slug: data-platform/api/start-data-export-job
docTags: 
createdAt: 2026-09-02T14:41:00.110Z
---

{
  "id": "mLzWFGnfChFLddOcR7xbs",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.us1.odp.optimizely.com/v3/exports",
    "servers": [
      {
        "url": "https://api.us1.odp.optimizely.com/v3/exports",
        "description": "United States"
      },
      {
        "url": "https://api.eu1.odp.optimizely.com/v3/exports",
        "description": "Europe"
      },
      {
        "url": "https://api.au1.odp.optimizely.com/v3/exports",
        "description": "Asia-Pacific"
      }
    ],
    "name": "Start Data Export Job",
    "description": "Export objects and events data from Optimizely to Amazon S3.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "example": "{\"format\":\"csv\",\"delimiter\":\"comma\",\"select\":{\"object\":\"events\",\"fields\":[\"product.name\"],\"filter\":{\"field\":\"product.name\",\"operator\":\"=\",\"value\":\"%shoe%\"},\"sorts\":[{\"field\":\"product.name\",\"order\":\"asc\"}]}}",
          "examples": [
            {
              "label": "Start Export Job (Filtered)",
              "value": "{\"format\":\"csv\",\"delimiter\":\"comma\",\"select\":{\"object\":\"events\",\"fields\":[\"product.name\"],\"filter\":{\"field\":\"product.name\",\"operator\":\"=\",\"value\":\"%shoe%\"},\"sorts\":[{\"field\":\"product.name\",\"order\":\"asc\"}]}}"
            },
            {
              "label": "Start Export Job (Unfiltered)",
              "value": "{\"objects\":[\"products\"],\"format\":\"csv\",\"delimiter\":\"comma\"}"
            }
          ],
          "description": "",
          "customType": "DataExportRequest",
          "schema": [
            {
              "name": "format",
              "kind": "required",
              "type": "string<csv | parquet>",
              "description": "The format of the export. Valid values are \"csv\" and \"parquet\".",
              "enum": [
                "csv",
                "parquet"
              ]
            },
            {
              "name": "delimiter",
              "kind": "required",
              "type": "string<tab | comma | pipe>",
              "description": "<p>Defaults to \"comma\". Valid options are \"comma\", \"tab\", and \"pipe\". Not applicable for parquet exports.</p>",
              "enum": [
                "tab",
                "comma",
                "pipe"
              ]
            },
            {
              "name": "objects",
              "kind": "optional",
              "type": "array",
              "description": "The objects to be exported in full.",
              "example": "",
              "itemType": "string",
              "customType": "string[]",
              "itemExample": "",
              "itemDefault": ""
            },
            {
              "name": "select",
              "kind": "optional",
              "type": "object",
              "description": "",
              "modelRef": "#/components/schemas/Select",
              "customType": "Select",
              "schema": [
                {
                  "name": "object",
                  "kind": "required",
                  "type": "string",
                  "description": "Target object for this selection filter.",
                  "example": "events"
                },
                {
                  "name": "fields",
                  "kind": "required",
                  "type": "array",
                  "description": "<p>An array of fields to export. The array ['*'] captures all fields from select.object, but does not follow any relations.</p>",
                  "example": "[\"product.name\"]",
                  "itemType": "string",
                  "customType": "string[]",
                  "itemExample": "[\"product.name\"]",
                  "itemDefault": ""
                },
                {
                  "name": "filter",
                  "kind": "optional",
                  "type": "map",
                  "description": "Refer to \"Filtering\" section.",
                  "example": "{\"field\":\"product.name\",\"operator\":\"=\",\"value\":\"%shoe%\"}",
                  "customType": "map<string, object>",
                  "schema": []
                },
                {
                  "name": "sorts",
                  "kind": "optional",
                  "type": "array",
                  "description": "Sort specification applied to each export file. A single table export may span multiple files.",
                  "modelRef": "#/components/schemas/Sort",
                  "customType": "Sort[]",
                  "schema": []
                }
              ]
            }
          ],
          "modelRef": "#/components/schemas/DataExportRequest",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "ApiKeyAuth",
          "name": "x-api-key",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ExportJobStatus",
            "schema": [
              {
                "name": "id",
                "kind": "required",
                "type": "string",
                "description": "",
                "example": "3aab9524-5248-45f9-8102-0399872a921e"
              },
              {
                "name": "path",
                "kind": "required",
                "type": "string",
                "description": "",
                "example": "s3://zaius-outgoing/kIFB_X1VG2gf6caBn8LHtg/data-exports/3aab9524-5248-45f9-8102-0399872a921e"
              },
              {
                "name": "state",
                "kind": "required",
                "type": "string<pending | running | completed | completed_with_errors>",
                "description": "",
                "example": "pending",
                "enum": [
                  "pending",
                  "running",
                  "completed",
                  "completed_with_errors"
                ]
              },
              {
                "name": "exportRowCount",
                "kind": "optional",
                "type": "integer<int64>",
                "description": "",
                "example": 14,
                "format": "int64"
              },
              {
                "name": "exportType",
                "kind": "optional",
                "type": "string",
                "description": "",
                "example": "data"
              },
              {
                "name": "requestedAt",
                "kind": "required",
                "type": "string<date-time>",
                "description": "",
                "example": "2018-09-11T02:07:10.000Z",
                "format": "date-time"
              },
              {
                "name": "startedAt",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "",
                "format": "date-time"
              },
              {
                "name": "endedAt",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "",
                "format": "date-time"
              },
              {
                "name": "presignedUrls",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "[\"https://s3.amazonaws.com/abc123/data-exports/abc123/has_email_0_0_0.csv.gz?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20250403T162222Z&X-Amz-SignedHeaders=host&X-Amz-Expires=3599&X-Amz-Credential=abc123%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Signature=abc123\"]",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "https://s3.amazonaws.com/abc123/data-exports/abc123/has_email_0_0_0.csv.gz?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20250403T162222Z&X-Amz-SignedHeaders=host&X-Amz-Expires=3599&X-Amz-Credential=abc123%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Signature=abc123",
                "itemDefault": ""
              },
              {
                "name": "active",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              },
              {
                "name": "format",
                "kind": "optional",
                "type": "string<csv | parquet>",
                "description": "",
                "enum": [
                  "csv",
                  "parquet"
                ]
              },
              {
                "name": "running",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              },
              {
                "name": "terminated",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              },
              {
                "name": "delimiter",
                "kind": "optional",
                "type": "string<tab | comma | pipe>",
                "description": "",
                "enum": [
                  "tab",
                  "comma",
                  "pipe"
                ]
              },
              {
                "name": "routeBase",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "trackerId",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "complete",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              },
              {
                "name": "pending",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              },
              {
                "name": "childErrors",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/ExportDefinition",
                "customType": "ExportDefinition",
                "schema": [
                  {
                    "name": "id",
                    "kind": "required",
                    "type": "string",
                    "description": "",
                    "example": "3aab9524-5248-45f9-8102-0399872a921e"
                  },
                  {
                    "name": "format",
                    "kind": "required",
                    "type": "string<csv | parquet>",
                    "description": "",
                    "example": "csv",
                    "enum": [
                      "csv",
                      "parquet"
                    ]
                  },
                  {
                    "name": "delimiter",
                    "kind": "optional",
                    "type": "string<tab | comma | pipe>",
                    "description": "",
                    "example": "comma",
                    "enum": [
                      "tab",
                      "comma",
                      "pipe"
                    ]
                  },
                  {
                    "name": "select",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/Select",
                    "customType": "Select",
                    "schema": [
                      {
                        "name": "object",
                        "kind": "required",
                        "type": "string",
                        "description": "Target object for this selection filter.",
                        "example": "events"
                      },
                      {
                        "name": "fields",
                        "kind": "required",
                        "type": "array",
                        "description": "<p>An array of fields to export. The array ['*'] captures all fields from select.object, but does not follow any relations.</p>",
                        "example": "[\"product.name\"]",
                        "itemType": "string",
                        "customType": "string[]",
                        "itemExample": "[\"product.name\"]",
                        "itemDefault": ""
                      },
                      {
                        "name": "filter",
                        "kind": "optional",
                        "type": "map",
                        "description": "Refer to \"Filtering\" section.",
                        "example": "{\"field\":\"product.name\",\"operator\":\"=\",\"value\":\"%shoe%\"}",
                        "customType": "map<string, object>",
                        "schema": []
                      },
                      {
                        "name": "sorts",
                        "kind": "optional",
                        "type": "array",
                        "description": "Sort specification applied to each export file. A single table export may span multiple files.",
                        "modelRef": "#/components/schemas/Sort",
                        "customType": "Sort[]",
                        "schema": []
                      }
                    ]
                  },
                  {
                    "name": "exportType",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "data"
                  },
                  {
                    "name": "objects",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "[\"string\"]",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "[\"string\"]",
                    "itemDefault": ""
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/ExportJobStatus",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Bad Request",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "string",
            "example": "{\"title\":\"Bad Request\",\"status\":400,\"timestamp\":\"2018-09-11T02:07:10.000Z\",\"detail\":{\"invalids\":[{\"field\":\"delimiter\",\"reason\":\"Unrecognized delimiter. Valid options are \\\"comma\\\", \\\"tab\\\", or \\\"pipe\\\".\"}]}}",
            "description": "",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "string",
            "example": "{\"title\":\"Forbidden\",\"status\":403,\"timestamp\":\"2018-09-11T02:07:10.000Z\",\"detail\":{\"message\":\"Insufficient privileges to access this resource.\"}}",
            "description": "",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Not Found",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "string",
            "example": "{\"title\":\"Not Found\",\"status\":404,\"timestamp\":\"2018-09-11T02:07:10.000Z\",\"detail\":{\"message\":\"Unable to locate field products.unknown_field.\"}}",
            "description": "",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "422",
        "description": "Unprocessable Entity",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "string",
            "example": "{\"title\":\"Unprocessable Entity\",\"status\":422,\"timestamp\":\"2018-09-11T02:07:10.000Z\",\"detail\":{\"message\":\"Unable to process request.  The following object(s) are currently being exported: events.\"}}",
            "description": "",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "JvgzehRtEDiXozTE53NqK",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.us1.odp.optimizely.com/v3/exports \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"format\": \"\",\n     \"delimiter\": \"\",\n     \"select\": {\n     \"object\": \"events\",\n     \"fields\": []\n     }\n     }'"
        },
        {
          "id": "4yXYbyKR5_hDjtvKpxFTl",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"format\": \"\",\n   \"delimiter\": \"\",\n   \"select\": {\n      \"object\": \"events\",\n      \"fields\": []\n   }\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.us1.odp.optimizely.com/v3/exports\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "8cu5kCeBiWLdnS7GO94As",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.us1.odp.optimizely.com/v3/exports\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"format\": \"\",\n   \"delimiter\": \"\",\n   \"select\": {\n      \"object\": \"events\",\n      \"fields\": []\n   }\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "1pQky7pQPSAf9bhHcsTdB",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.us1.odp.optimizely.com/v3/exports\"\n\npayload = json.dumps({\n   \"format\": \"\",\n   \"delimiter\": \"\",\n   \"select\": {\n      \"object\": \"events\",\n      \"fields\": []\n   }\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "JvgzehRtEDiXozTE53NqK"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// OK\n{\n  \"id\": \"3aab9524-5248-45f9-8102-0399872a921e\",\n  \"path\": \"s3://zaius-outgoing/kIFB_X1VG2gf6caBn8LHtg/data-exports/3aab9524-5248-45f9-8102-0399872a921e\",\n  \"state\": \"pending\",\n  \"exportRowCount\": 14,\n  \"exportType\": \"data\",\n  \"requestedAt\": \"2018-09-11T02:07:10.000Z\",\n  \"startedAt\": \"\",\n  \"endedAt\": \"\",\n  \"presignedUrls\": [\n    \"https://s3.amazonaws.com/abc123/data-exports/abc123/has_email_0_0_0.csv.gz?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20250403T162222Z&X-Amz-SignedHeaders=host&X-Amz-Expires=3599&X-Amz-Credential=abc123%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Signature=abc123\"\n  ],\n  \"active\": false,\n  \"format\": \"\",\n  \"running\": false,\n  \"terminated\": false,\n  \"delimiter\": \"\",\n  \"routeBase\": \"\",\n  \"trackerId\": \"\",\n  \"complete\": false,\n  \"pending\": false,\n  \"childErrors\": [\n    \"\"\n  ],\n  \"detail\": {\n    \"id\": \"3aab9524-5248-45f9-8102-0399872a921e\",\n    \"format\": \"csv\",\n    \"delimiter\": \"comma\",\n    \"select\": {\n      \"object\": \"events\",\n      \"fields\": [\n        \"[\\\"product.name\\\"]\"\n      ],\n      \"filter\": \"{\\\"field\\\":\\\"product.name\\\",\\\"operator\\\":\\\"=\\\",\\\"value\\\":\\\"%shoe%\\\"}\",\n      \"sorts\": [\n        \"\"\n      ]\n    },\n    \"exportType\": \"data\",\n    \"objects\": [\n      \"[\\\"string\\\"]\"\n    ]\n  }\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Bad Request\n\"{\\\"title\\\":\\\"Bad Request\\\",\\\"status\\\":400,\\\"timestamp\\\":\\\"2018-09-11T02:07:10.000Z\\\",\\\"detail\\\":{\\\"invalids\\\":[{\\\"field\\\":\\\"delimiter\\\",\\\"reason\\\":\\\"Unrecognized delimiter. Valid options are \\\\\\\"comma\\\\\\\", \\\\\\\"tab\\\\\\\", or \\\\\\\"pipe\\\\\\\".\\\"}]}}\""
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Forbidden\n\"{\\\"title\\\":\\\"Forbidden\\\",\\\"status\\\":403,\\\"timestamp\\\":\\\"2018-09-11T02:07:10.000Z\\\",\\\"detail\\\":{\\\"message\\\":\\\"Insufficient privileges to access this resource.\\\"}}\""
        },
        {
          "id": "response-3-404",
          "language": "404",
          "code": "// Not Found\n\"{\\\"title\\\":\\\"Not Found\\\",\\\"status\\\":404,\\\"timestamp\\\":\\\"2018-09-11T02:07:10.000Z\\\",\\\"detail\\\":{\\\"message\\\":\\\"Unable to locate field products.unknown_field.\\\"}}\""
        },
        {
          "id": "response-4-422",
          "language": "422",
          "code": "// Unprocessable Entity\n\"{\\\"title\\\":\\\"Unprocessable Entity\\\",\\\"status\\\":422,\\\"timestamp\\\":\\\"2018-09-11T02:07:10.000Z\\\",\\\"detail\\\":{\\\"message\\\":\\\"Unable to process request.  The following object(s) are currently being exported: events.\\\"}}\""
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}